Subject: MPC5200 ppc_md.set_rtc_time

From: bennett78 <[email-masked]>
Date: Thu, 15 Dec 2005 17:15:22 -0700

Hi:
   How / when does "ppc_md.set_rtc_time" get filled
in for Lite5200?

Config for support /dev/rtc enables CONFIG_PPC_RTC
which enable driver/char/rtc.c which mentions CMOS_WRITE
panics the kernel!

I trying to use driver/char/genrtc.c.   I can set date
but not hwclock.

 > hwclock --set --date="9/22/96 16:45:05"
gen_set_rtc_irq_bit:exit
gen_rtc_ioctl RTC_SET_TIME 00000060
RTC_SET_TIME: Invalid argument
ioctl() to /dev/rtc to set the time failed.

bash-2.05b# cat /proc/driver/rtc
rtc_time        : 00:50339648:36914
rtc_date        : -1072186980-497--1073718072
rtc_epoch       : 1900
alarm           : 00:00:00
DST_enable      : no
BCD             : yes
24hr            : yes
square_wave     : no
alarm_IRQ       : no
update_IRQ      : no  <----- how can I hook one?
periodic_IRQ    : no
periodic_freq   : 0
batt_status     : okay

thanks,

*/Frank Bennett
/*